Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.annotation
Class SchedulingConfiguration

    java.lang.Object
      org.springframework.scheduling.annotation.SchedulingConfiguration

    @Configuration
    public class SchedulingConfiguration

extends Object

`@Configuration` class that registers a `ScheduledAnnotationBeanPostProcessor` bean capable of processing Spring's @`Scheduled` annotation.

This configuration class is automatically imported when using the @`EnableScheduling` annotation. See `@EnableScheduling` Javadoc for complete usage details.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableScheduling`, `ScheduledAnnotationBeanPostProcessor`

Constructor Summary
`SchedulingConfiguration()`

Method Summary
`ScheduledAnnotationBeanPostProcessor` | `scheduledAnnotationProcessor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulingConfiguration

    public SchedulingConfiguration()

Method Detail

### scheduledAnnotationProcessor

    @Bean(name="org.springframework.context.annotation.internalScheduledAnnotationProcessor")
    @Role(value=2)
    public ScheduledAnnotationBeanPostProcessor scheduledAnnotationProcessor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD